Bug 570113 - Review Request: rubygem-right_aws - Interface classes for Amazon EC2/EBS, SQS, S3, SDB and ACF
Summary: Review Request: rubygem-right_aws - Interface classes for Amazon EC2/EBS, SQS...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: noarch
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 570111
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-03 10:56 UTC by Michal Fojtik
Modified: 2010-11-19 08:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-19 08:44:10 UTC
Type: ---
lkundrak: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Michal Fojtik 2010-03-03 10:56:17 UTC
Spec URL: http://mifo.sk/rubygem-right-aws.spec
SRPM URL: http://mifo.sk/rubygem-right-aws-1.10.0-1.fc12.src.rpm
Description: 
The RightScale AWS gem have been designed to provide a robust, fast, and secure interface to Amazon EC2, EBS, S3, SQS, SDB, and CloudFront.

Comment 1 Michal Fojtik 2010-03-03 11:30:17 UTC
FIXED duplicate files && define -> global.

Spec URL: http://mifo.sk/rubygem-right_aws.spec
SRPM URL: http://mifo.sk/rubygem-right_aws-1.10.0-2.fc12.src.rpm

Comment 2 Lubomir Rintel 2010-03-03 11:44:35 UTC
* License ok, text included in source files
* Spec file clean, legible, american english
* Builds fine in mock
* Correctly named
* Version correct
* Filelist sane
* Requires/provides ok
* Macros used consistently

APPROVED

Comment 3 Michal Fojtik 2010-03-03 11:47:19 UTC
New Package CVS Request
=======================
Package Name: rubygem-right_aws
The RightScale AWS gem have been designed to provide a robust, fast, and secure
interface to Amazon EC2, EBS, S3, SQS, SDB, and CloudFront.
Owners: mfojtik
Branches: F-11 F-12 F-13 EL-5

Comment 4 Mamoru TASAKA 2010-03-03 13:25:56 UTC
- At least dependency should be fixed [ rubygem(right-http-connection) ]
- Would you consider to enable test?
- %{gemdir}/gems/%{gemname}-%{version} can be %{geminstdir}

Comment 5 Michal Fojtik 2010-03-03 13:47:40 UTC
(In reply to comment #4)
> - At least dependency should be fixed [ rubygem(right-http-connection) ]

FIXED. Thanks for this one, I forgot change it when I fixed naming.

> - Would you consider to enable test?

No, because tests require to supply credentials for accesing Amazon.

> - %{gemdir}/gems/%{gemname}-%{version} can be %{geminstdir}    

Sure, FIXED.

Spec URL: http://mifo.sk/rubygem-right_aws.spec
SRPM URL: http://mifo.sk/rubygem-right_aws-1.10.0-3.fc12.src.rpm

Comment 6 Mamoru TASAKA 2010-03-03 13:52:16 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > - Would you consider to enable test?
> No, because tests require to supply credentials for accesing Amazon.

Ah, okay. Now looks good.

Comment 7 Jason Tibbitts 2010-03-04 01:02:16 UTC
This CVS request looks mangled.  Please fix and re-set the fedora-cvs flag.

Comment 8 Michal Fojtik 2010-03-04 08:54:23 UTC
New Package CVS Request
=======================
Package Name: rubygem-right_aws
Short Description:  The RightScale AWS gem provide interface to Amazon
Owners: mfojtik
Branches: devel F-11 F-12 F-13 EL-5

Comment 9 Kevin Fenzi 2010-03-06 05:24:24 UTC
CVS done (by process-cvs-requests.py).

Comment 10 Fedora Update System 2010-03-08 12:51:32 UTC
rubygem-right_aws-1.10.0-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-right_aws-1.10.0-3.fc12

Comment 11 Fedora Update System 2010-03-08 13:18:12 UTC
rubygem-right_aws-1.10.0-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rubygem-right_aws-1.10.0-3.fc13

Comment 12 Fedora Update System 2010-03-08 14:40:49 UTC
rubygem-right_aws-1.10.0-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/rubygem-right_aws-1.10.0-3.el5

Comment 13 Fedora Update System 2010-03-08 20:20:28 UTC
rubygem-right_aws-1.10.0-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-right_aws'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rubygem-right_aws-1.10.0-3.el5

Comment 14 Fedora Update System 2010-03-10 06:42:36 UTC
rubygem-right_aws-1.10.0-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-right_aws'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rubygem-right_aws-1.10.0-3.fc12

Comment 15 Fedora Update System 2010-03-10 06:54:24 UTC
rubygem-right_aws-1.10.0-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-right_aws'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rubygem-right_aws-1.10.0-3.fc13

Comment 16 Alexander Kurtakov 2010-11-19 08:44:10 UTC
http://koji.fedoraproject.org/koji/buildinfo?buildID=194487
Package is available in latest Fedora 15 even though the update has never been pushed.


Note You need to log in before you can comment on or make changes to this bug.